##############################################################################
#                                                                            #
#  Title : Improving the use of qualitative comparative analysis for         #
#          inferring complex causation in development and planning research  #
#                                                                            #
#  Author: Alrik Thiem                                                       #
#                                                                            #
#  Date  : 31 July 2018                                                      #
#                                                                            #
##############################################################################

# load package
#-----------------------------------------------------------
library(QCApro)

# load dataset
#-----------------------------------------------------------
CHA <- read.csv("chatterley_et_al_2013.csv", row.names = 1)
CHA

# analysis
#-----------------------------------------------------------
# truth table for well-maintained school toilets
tt.WMST <- truthTable(CHA, outcome = "WMST")
tt.WMST

sol.WMST <- eQMC(tt.WMST, details = TRUE)
sol.WMST


# truth table for poorly-maintained school toilets
tt.PMST <- truthTable(CHA, outcome = "WMST", neg.out = TRUE)
tt.PMST

sol.PMST <- eQMC(tt.PMST, details = TRUE)
sol.PMST
